﻿$ErrorActionPreference = 'Stop'

# *** Automatically filled ***
$softwareName = 'Atom'
$version      = '1.46.0'
# *** Automatically filled ***

if (!$Env:ChocolateyForce -and $version -eq (Get-UninstallRegistryKey $softwareName).DisplayVersion) {
    Write-Host "Version $version is already installed."
    return
}

# *** Automatically filled ***
$packageArgs = @{
    packageName    = 'atom'
    softwareName   = $softwareName
    fileType       = 'exe'
    url            = 'https://github.com/atom/atom/releases/download/v1.46.0/AtomSetup.exe'
    url64bit       = 'https://github.com/atom/atom/releases/download/v1.46.0/AtomSetup-x64.exe'
    silentArgs     = '--silent'
    checksum       = 'dca06a4fdd217624e3ca3ce3a6024cfbb46b82c9d1e076e087c4fda9a2436f03'
    checksumType   = 'sha256'
    checksum64     = '593b5f511e87eeeb9de7f846205696d47fc9ef6332a6b7617c6036ff9a041141'
    checksumType64 = 'sha256'
    validExitCodes = @(0)
}
# *** Automatically filled ***

Install-ChocolateyPackage @packageArgs
